=head1 NAME

Gtk2::FontSelection

=head1 HIERARCHY

  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::VBox
                                +----Gtk2::FontSelection

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface


=head1 METHODS

=head2 widget = Gtk2::FontSelection-E<gt>B<new> 

=over

=back

=head2 font = $fontsel-E<gt>B<get_font> 

=over

=back

=head2 string = $fontsel-E<gt>B<get_font_name> 

=over

=back

=head2 boolean = $fontsel-E<gt>B<set_font_name> ($fontname)

=over

=over

=item * $fontname (string) 

=back

=back

=head2 string = $fontsel-E<gt>B<get_preview_text> 

=over

=back

=head2 $fontsel-E<gt>B<set_preview_text> ($text)

=over

=over

=item * $text (string) 

=back

=back


=head1 PROPERTIES

=over

=item 'font' (Gtk2::Gdk::Font : readable / private)

The GdkFont that is currently selected

=item 'font-name' (string : readable / writable / private)

The X string that represents this font

=item 'preview-text' (string : readable / writable / private)

The text to display in order to demonstrate the selected font

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::Object::_Unregistered::GInitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::VBox>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

